/* Automatically generated nanopb header */
/* Generated by nanopb-0.3.9.3 at Mon May 13 01:04:49 2019. */

#ifndef PB_DEVICE_MESSAGING_DEVICE_V1_COMMON_PB_H_INCLUDED
#define PB_DEVICE_MESSAGING_DEVICE_V1_COMMON_PB_H_INCLUDED
#include <pb.h>

/* @@protoc_insertion_point(includes) */
#if PB_PROTO_HEADER_VERSION != 30
#error Regenerate this file with the current version of nanopb generator.
#endif

#ifdef __cplusplus
extern "C" {
#endif

/* Struct definitions */
typedef struct _device_messaging_device_v1_CommandId_PairOfInt32 {
    int32_t high;
    uint32_t low;
/* @@protoc_insertion_point(struct:device_messaging_device_v1_CommandId_PairOfInt32) */
} device_messaging_device_v1_CommandId_PairOfInt32;

typedef struct _device_messaging_device_v1_Value {
    pb_size_t which_type;
    union {
        int32_t int32;
        float float32;
    } type;
/* @@protoc_insertion_point(struct:device_messaging_device_v1_Value) */
} device_messaging_device_v1_Value;

typedef struct _device_messaging_device_v1_CommandId {
    pb_size_t which_value;
    union {
        int64_t int64_value;
        device_messaging_device_v1_CommandId_PairOfInt32 pair_of_int32;
    } value;
/* @@protoc_insertion_point(struct:device_messaging_device_v1_CommandId) */
} device_messaging_device_v1_CommandId;

/* Default values for struct fields */

/* Initializer values for message structs */
#define device_messaging_device_v1_CommandId_init_default {0, {0}}
#define device_messaging_device_v1_CommandId_PairOfInt32_init_default {0, 0}
#define device_messaging_device_v1_Value_init_default {0, {0}}
#define device_messaging_device_v1_CommandId_init_zero {0, {0}}
#define device_messaging_device_v1_CommandId_PairOfInt32_init_zero {0, 0}
#define device_messaging_device_v1_Value_init_zero {0, {0}}

/* Field tags (for use in manual encoding/decoding) */
#define device_messaging_device_v1_CommandId_PairOfInt32_high_tag 1
#define device_messaging_device_v1_CommandId_PairOfInt32_low_tag 2
#define device_messaging_device_v1_Value_int32_tag 1
#define device_messaging_device_v1_Value_float32_tag 2
#define device_messaging_device_v1_CommandId_int64_value_tag 1
#define device_messaging_device_v1_CommandId_pair_of_int32_tag 2

/* Struct field encoding specification for nanopb */
extern const pb_field_t device_messaging_device_v1_CommandId_fields[3];
extern const pb_field_t device_messaging_device_v1_CommandId_PairOfInt32_fields[3];
extern const pb_field_t device_messaging_device_v1_Value_fields[3];

/* Maximum encoded size of messages (where known) */
#define device_messaging_device_v1_CommandId_size 19
#define device_messaging_device_v1_CommandId_PairOfInt32_size 17
#define device_messaging_device_v1_Value_size    11

/* Message IDs (where set with "msgid" option) */
#ifdef PB_MSGID

#define COMMON_MESSAGES \


#endif

#ifdef __cplusplus
} /* extern "C" */
#endif
/* @@protoc_insertion_point(eof) */

#endif
